org.apache.ignite.internal.processors.cache.persistence.wal.aware

## Class SegmentObservable

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.aware.SegmentObservable

Direct Known Subclasses:
  SegmentLockStorage

    public abstract class SegmentObservable
    extends Object

Implementation of observer-observable pattern. For handling specific changes of segment.

### Constructor Summary

Constructors
Constructor and Description
`SegmentObservable()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SegmentObservable

    public SegmentObservable()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019